## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanQName::InvalidQNameException Class Reference

`#include <XalanQName.hpp>`

Inheritance diagram for XalanQName::InvalidQNameException

Collaboration diagram for XalanQName::InvalidQNameException:

List of all members.

## Public Methods

- InvalidQNameException ( const XalanDOMChar* theQName, XalanDOMString::size_type theQNameLength, const XalanDOMString& theURI, int theLineNumber, int theColumnNumber)
    Constructor. More...
- InvalidQNameException ( const LocatorType& theLocator, const XalanDOMChar* theQName, XalanDOMString::size_type theQNameLength)
    Constructor. More...
- InvalidQNameException ( const XalanDOMChar* theQName, XalanDOMString::size_type theQNameLength)
    Constructor. More...
- virtual ~InvalidQNameException ()

## Constructor & Destructor Documentation

XalanQName::InvalidQNameException::InvalidQNameException ( | const XalanDOMChar * theQName,
| XalanDOMString::size_type theQNameLength,
| const XalanDOMString & theURI,
| int theLineNumber,
| int theColumnNumber )

Constructor.

Parameters:

  theQName | The QName string that is not valid.
  theQNameLength | The length of the string.
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document.
  theColumnNumber | the column number of the related document.
  theType | type of exception, default is "XSLException"

XalanQName::InvalidQNameException::InvalidQNameException ( | const LocatorType & theLocator,
| const XalanDOMChar * theQName,
| XalanDOMString::size_type theQNameLength )

Constructor.

Parameters:

  theLocator | The locator instance for error reporting.
  theQName | The QName string that is not valid.
  theQNameLength | The length of the string.
  theType | type of exception, default is "XSLException"

XalanQName::InvalidQNameException::InvalidQNameException ( | const XalanDOMChar * theQName,
| XalanDOMString::size_type theQNameLength )

Constructor.

Parameters:

  theQName | The QName string that is not valid.
  theQNameLength | The length of the string.
  theType | type of exception, default is "XSLException"

virtual XalanQName::InvalidQNameException::~InvalidQNameException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XalanQName.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.